#
# 死亡箱配置文件
# 在这里你可以自定义这个插件的参数
#

# 配置版本-不要动这个参数!
config-version: 2

# 是否启动版本更新检查，有新版本时会收到通知
update-checker: true
# 倒计时的时间格式-mm是分钟，ss是秒钟-
duration-format: 'mm:ss'
# 设置倒计时的时间，若设置为-1停用倒计时功能
expiration: 600
# 所有死亡后的物品全都放进了箱子，如果设置为true，当箱子倒计时结束时，箱子所有的物品都将消失
drop-items-after-expiration: false

inventory:
  # 右键打开箱子后，显示的名称，可以使用颜色代码'&'
  title: '&c死亡箱'
  # 这里可以修改死亡箱的容量大小
  # 只能从两个选项中选择一个: constant 或 flexible
  # constant: 箱子的容量大小恒定45个格子
  # flexible: 箱子的容量大小取决于玩家死亡时物品的多少
  size: flexible

# 这里是死亡箱倒计时全息显示设置
# 这里的功能最好搭配有前置全息图插件
hologram:
  # 将此设置为false可关闭全息显示
  enabled: true
  # 如果要添加全息图的行，要更改此值
  # 这里是全息图整体最后一行与箱子之间的距离
  height: 2.3
  # 支持这些参数：
  #    {player_name}: 玩家名字
  #   {player_displayname}: 玩家显示的名字
  #   {duration}: 剩余时间
  # 下面是设置全息显示格式
  lines:
    - '&7&lR.I.P'
    - '${player_name}'
    - '&3-&6-&3-&6-&3-&6-&3-'
    - '${duration}'

# 这里是死亡箱粒子特效的设置
particle:
  # 将此设置为false可关闭粒子特效
  enabled: true
  #粒子特效半径
  radius: 1.0
  #粒子数量
  count: 32
  #粒子的速度最大为20
  speed: 20.0

# 这里没啥作用，不用管它
# This section is for handling the block breaking function in this plugin. You can remove this section to disable the feature,
# or you set the 'enabled' option to false
# This feature is only available if you have ProtocolLib installed.
break-effect:
  enabled: true
  view-distance: 20.0

# 这里是向死亡玩家通知的设置
player-notification:
  # 将此设置为false可关闭向死亡玩家通知
  enabled: true
  # 你可以更改符号的位置设置自己的格式
  # ${player_name} : 玩家名字
  # ${player_displayname} : 玩家显示的名字
  # ${x}, ${y}, ${z} ：死亡位于的坐标
  # ${world} : 死亡位于的世界名称
  message: |-
    &7你死了，你的物品被放进了一个箱子，箱子在&c10分钟后消失! 坐标为：x-${x} y-${y} z-${z}

# 这里是向全服务器通知的设置
global-notification:
  # 将此设置为false可关闭向整个服务器通知
  enabled: false
  # 你可以更改符号的位置设置自己的格式
  message: |-
    &7${player_name} 死亡坐标为：x-${x} y-${y} z-${z} 世界名称：${world}

# 增加一条死亡通知信息
change-death-message:
  # 将此设置为false可关闭增加的信息
  enabled: false
  # 你可以更改符号的位置设置自己的格式
  message: |-
    &7${player_name} 在世界 ${world} 的 ${x} ${y} ${z} 地方逝世

# 这里可以设置指定的世界才会有死亡箱
world-filter:
  # 这里只能从两个选项选一个，设置此列表为世界黑名单还是白名单
  # blacklist-黑名单，禁止列表中的世界有死亡箱
  # whitelist-白名单，只允许列表中的世界有死亡箱
  filter: blacklist
  # 世界名称
  worlds:
    - disabled_world

# 这里可以设置死亡箱是否受到爆炸保护而不被炸掉
blast-protection: true

# 这里可以设置死亡箱不允许被除了逝者以外的人打开
# 这个选项需要有前置Vault插件的支持
chest-protection:
  # 死亡箱保护是否开启
  enabled: false
  # 当死亡箱保护开启时，拥有此权限的玩家或权限组的死亡箱才能够被保护
  permission: deathchest.thiefprotected
  # 拥有此权限的玩家或权限组能够在死亡箱保护开启时，任意打开其他所有玩家的死亡箱
  bypass-permission: deathchest.thiefprotected.bypass
  # 当死亡箱保护被开启时，这里可以设置死亡箱从被生成开始，不被保护的时间，所有玩家都可以打开它
  # 当不被保护时间结束时，死亡箱保护才会开启，这时直到死亡箱寿命结束时间段，只有死亡玩家本人才能够打开它
  expiration: 0
  # 在这个网站上，你可以找到spigotMC中所有的声音参数
  # https://hub.spigotmc.org/javadocs/spigot/org/bukkit/Sound.html
  # 如果你想禁用无权限打开的声音或者消息提示可以直接删除选项
  sound: BLOCK_CHEST_LOCKED;1.0;1.0
  message: |-
    &c你不允许打开这个箱子